/** Section for Daisy */
    /**  Home */
    $(document).ready(function() {
      if ((window.location.pathname == "/toulouse-insa-ups/") || (window.location.pathname == "/toulouse-insa-ups/index.html") || (window.location.pathname == "/") || (window.location.pathname == "/index.html")){
        var waypoint = new Waypoint({
          element: document.getElementById('basic-waypoint1'),
          handler: function(direction) {
              if (direction == 'up'){
                  $(".text-daisy1").html("Hi everyone, I'm Daisy! I'll be accompanying you throughout your reading! Welcome to our allergen detection project.");
                  $("#basic-waypoint1 .text-daisy").css("left", "200px");
                  $(".daisy1").attr("src","https://static.igem.wiki/teams/4197/wiki/3.png");
        //    alert('Context: ' + direction)
              } else {
                  $(".text-daisy1").html("Let's start the visit !");
                  $("#basic-waypoint1 .text-daisy").css("left", "290px");
                  $(".daisy1").attr("src","https://static.igem.wiki/teams/4197/wiki/4.png");
              }
            },
          offset: '-5%'
        })
        var waypoint = new Waypoint({
          element: document.getElementById('basic-waypoint-context-1'),
          handler: function(direction) {
              if (direction == 'up'){
                  $(".text-daisy-1").html("Let me give you a bit of context.");
                  $("#basic-waypoint-context-1 .text-daisy").css("right", "0");
                  $(".daisy2").attr("src","https://static.igem.wiki/teams/4197/wiki/5.png");
        //    alert('Context: ' + direction)
              } else {
                  $(".text-daisy-1").html("Our team chose to work on a new detection method !");
                  $("#basic-waypoint-context-1 .text-daisy").css("right", "0");
                  $(".daisy2").attr("src","https://static.igem.wiki/teams/4197/wiki/4.png");
              }
            },
          offset: '10%'
        })
      };
    });
    /** End home */

      if ((window.location.pathname == "/toulouse-insa-ups/") || (window.location.pathname == "/toulouse-insa-ups/index.html") || (window.location.pathname == "/") || (window.location.pathname == "/index.html")){
    gsap.registerPlugin(ScrollTrigger);

    /* Main navigation */
    let panelsSection = document.querySelector("#panels"),
      panelsContainer = document.querySelector("#panels-container"),
      tween;
    document.querySelectorAll(".anchor").forEach(anchor => {
      anchor.addEventListener("click", function(e) {
        e.preventDefault();
        let targetElem = document.querySelector(e.target.getAttribute("href")),
          y = targetElem;
        if (targetElem && panelsContainer.isSameNode(targetElem.parentElement)) {
          let totalScroll = tween.scrollTrigger.end - tween.scrollTrigger.start,
            totalMovement = (panels.length - 1) * targetElem.offsetWidth;
          y = Math.round(tween.scrollTrigger.start + (targetElem.offsetLeft / totalMovement) * totalScroll);
        }
        gsap.to(window, {
          scrollTo: {
            y: y,
            autoKill: false
          },
          duration: 1
        });
      });
    });
    
    /* Panels */
    const panels = gsap.utils.toArray("#panels-container .panel");
    tween = gsap.to(panels, {
      xPercent: -100 * ( panels.length - 1 ),
      ease: "none",
      scrollTrigger: {
        trigger: "#panels-container",
        pin: true,
        start: "top top",
        scrub: 1,
        snap: {
          snapTo: 1 / (panels.length - 1),
          inertia: false,
          duration: {min: 0.1, max: 0.1}
        },
        end: () =>  "+=" + (panelsContainer.offsetWidth - innerWidth)
      }
    });

  }

/** End section for Daisy */


/** Animation graph home */
$(document).ready(function() {
  if ((window.location.pathname == "/toulouse-insa-ups/") || (window.location.pathname == "/toulouse-insa-ups/index.html") || (window.location.pathname == "/") || (window.location.pathname == "/index.html")){
    var waypoint = new Waypoint({
      element: document.getElementById('basic-waypoint-context-1'),
      handler: function(direction) {
          if (direction == 'up'){
            $("#anim-graph").addClass("displaynone")
            $("#anim-graph").css("opacity", "0");
            $(".courbe-absolute").css("opacity", "1");
            $(".info-home").html("Different tests exist but the number of allergen they can detect is limited.");
            
  //    alert('Context: ' + direction)
        } else {
          $(".pie1").addClass("anime1")
          $(".pie2").addClass("anime2")
          $("figcaption.fig25").addClass("animation1")
          $("figcaption.fig70").addClass("animation2")
          $("#anim-graph").removeClass("displaynone2")
          $("#anim-graph").css("opacity", "1");
          $(".courbe-absolute").css("opacity", "0");
          $(".info-home").html("30% of the French population has at least one allergy, and this number increases every year.");

        }

        },
      offset: '70%'
    })

    var waypoint = new Waypoint({
      element: document.getElementById('basic-waypoint-context-1'),
      handler: function(direction) {
          if (direction == 'up'){
            $(".pie1").addClass("anime1")
            $(".pie2").addClass("anime2")
            $("figcaption.fig25").addClass("animation1")
            $("figcaption.fig70").addClass("animation2")
            $("#anim-graph").removeClass("displaynone")
            $("#anim-graph").css("opacity", "1");-
            $(".courbe-absolute").css("opacity", "0");
            $(".info-home").html("30% of the French population has at least one allergy, and this number increases every year.");
            
        } else {
          $(".pie1").addClass("anime1")
          $(".pie2").addClass("anime2")
          $("figcaption.fig25").addClass("animation1")
          $("figcaption.fig70").addClass("animation2")
          $("#anim-graph").css("opacity", "0");
          $(".courbe-absolute").css("opacity", "1");
          $(".info-home").html("Different tests exist but the number of allergen they can detect is limited.");

          
        }

        },
      offset: '10%'
    })
  };
});


$(window).scroll(function () {
    if ($('.fig25').isInViewport()) {
        //  Use .blogcard instead of this
        $('.fig25').addClass('test');
        console.log('success.')
    } else {
        //  Remove class
        $('.fig25').removeClass('test');
        console.log('No success.')
    }
});


/** Start menu **/
(function($) { "use strict";

$(function() {
    var header = $(".navbar-expand-xl");
    $(window).scroll(function() {    
        var scroll = $(window).scrollTop();

        if (scroll >= 10) {
            header.removeClass('start-style').addClass("scroll-on");
        } else {
            header.removeClass("scroll-on").addClass('start-style');
        }
    });
});		


// $(document).ready(function() {
//     $('body.hero-anime').removeClass('hero-anime');
// });


$('body').on('mouseenter mouseleave','.nav-item',function(e){
        if ($(window).width() > 750) {
            var _d=$(e.target).closest('.nav-item');_d.addClass('show');
            setTimeout(function(){
            _d[_d.is(':hover')?'addClass':'removeClass']('show');
            },1);
        }
});	


// $("#switch").on('click', function () {
//     if ($("body").hasClass("dark")) {
//         $("body").removeClass("dark");
//         $("#switch").removeClass("switched");
//     }
//     else {
//         $("body").addClass("dark");
//         $("#switch").addClass("switched");
//     }
// });  

})(jQuery); 
/** End menu **/


/** Initialisation of smooth transition **/
AOS.init();

/** Description burger menu  */
$(window).on("load", function () {
// Collapsible
function openFirstCollapsible () {
  let targetElement = document.querySelector('.collapsible.active')
  if (targetElement == null) {
    return
  }
  // console.log(targetElement)
  let content = targetElement.nextElementSibling
  if (content.style.maxHeight) {
    content.style.maxHeight = null
    content.style.boxShadow = '0'
  } else {
    content.style.maxHeight = content.scrollHeight + 'px'
    
  }
};
document.addEventListener('DOMContentLoaded', openFirstCollapsible())
});



function onCollapsibleClick (event) {
  if (event.type === 'keypress' && e.key != 'Enter') {
    return
  }
  let targetElement = event.currentTarget
  let content = targetElement.nextElementSibling
  let otherActiveColl = document.querySelector('.collapsible.active')
  let getnext = content.nextElementSibling


  // console.log(otherActiveColl)
  if (targetElement != otherActiveColl && otherActiveColl != null) {
    let content = otherActiveColl.nextElementSibling
    content.style.maxHeight = null
    content.style.boxShadow = '0'
    otherActiveColl.classList.remove('active')
    content.classList.remove('visible-ac')


    getnext.classList.remove('hide-sous-menu')
    // let checkaside = document.querySelector('.collapsible-content.visible-ac')
    // if(checkaside != null){
    //   let contentaside = checkaside.nextElementSibling
  
    //   contentaside.classList.remove('showAside')
    // }

  }
  targetElement.classList.toggle('active')
  content.classList.toggle('visible-ac')
  getnext.classList.toggle('hide-sous-menu')
  // let checkaside = document.querySelector('.collapsible-content.visible-ac')
  // if(checkaside != null){
  //   let contentaside = checkaside.nextElementSibling

  //   contentaside.classList.toggle('showAside')
  // }
  if (content.style.maxHeight) {
    content.style.maxHeight = null
    content.style.boxShadow = '0'
  } else {
    content.style.maxHeight = content.scrollHeight + 'px'
  }


};

var coll = document.getElementsByClassName('collapsible')
for (var i = 0; i < coll.length; i++) {
  coll[i].addEventListener('click', onCollapsibleClick)
  coll[i].addEventListener('keypress', onCollapsibleClick)
};

function onExperimentClick (event) {
  let clickedExperiment = event.currentTarget
  // id of popout containing button and content
  let protocolId = clickedExperiment.getAttribute('linkedid')
  showProtocol(protocolId)
};

function showProtocol (protocolId) {
  showDivs(PROTOCOL_SLIDE_NUMBER)
  let protocolElement = document.getElementById(protocolId)
  let protocolButtonElement = protocolElement.firstElementChild
  let opened = protocolButtonElement.classList.contains('active')
  if (!opened) {
    protocolButtonElement.dispatchEvent(new Event('click'))
  }
  // scroll to protocol height
  setTimeout(function () {
    let protocolElementTop = protocolElement.getBoundingClientRect().top
    window.scrollTo(0, protocolElementTop + window.scrollY - 80)
  }, 400)
};

var experiments = document.getElementsByClassName('experiments')
for (var i = 0; i < experiments.length; i++) {
  experiments[i].addEventListener('click', onExperimentClick)
};

function onMainNavLinkClick (event) {
  let clickedMainNavLink = event.target
  let collapsibleId = clickedMainNavLink.getAttribute('linkedid')
  // console.log(collapsibleId)
  let chapterId = clickedMainNavLink.getAttribute('linkedidchapter')
  let chapterIdElement = document.getElementById(chapterId)
  console.log(clickedMainNavLink)
  if (chapterId == 'undefined' || chapterId == null) {
    return
  }
  showCollapsible(collapsibleId)
  setTimeout(function () {
    let chapterIdElementTop = chapterIdElement.getBoundingClientRect().top + window.scrollY 
    scrollTo(0, chapterIdElementTop - 110)
  }, 300)
}

let mainNavLink = document.getElementsByClassName('main-nav-link')
for (var i = 0; i < mainNavLink.length; i++) {
  mainNavLink[i].addEventListener('click', onMainNavLinkClick)
}
function showCollapsible (collapsibleId) {
  if (collapsibleId == 'undefined' || collapsibleId == null) {
    return
  }
  let collapsibleElement = document.getElementById(collapsibleId)
  let opened = collapsibleElement.classList.contains('active')
  if (!opened) {
    collapsibleElement.dispatchEvent(new Event('click'))
  }
}
// Collapsible for results
var readmoreButton = document.getElementsByClassName('readmore-button')

for (var i = 0; i < readmoreButton.length; i++) {
  readmoreButton[i].addEventListener('click', function () {
    var content = this.nextElementSibling
    var buttonText = this.children[0]
    var moreLess = buttonText.children[1]
    console.log(buttonText)
    if (content == null) {
      return
    }
    if (content.style.maxHeight) {
      content.style.maxHeight = null
      content.style.opacity = null
      moreLess.innerHTML = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;+'
    } else {
      content.style.maxHeight = content.scrollHeight + 'px'
      content.style.opacity = '1'
      moreLess.innerHTML = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-'
    }
  })
};

// Detecting whether the user uses Safari
var user = detect.parse(navigator.userAgent)
if (user.browser.family === 'Safari') {
  // Scroll code, that ideally only executes for Safari.
  $('a').on('click', function (event) {
    // Make sure this.hash has a value before overriding default behavior
    if (this.hash !== '') {
    // Prevent default anchor click behavior
      event.preventDefault()
      // Store hash
      var hash = this.hash
      // Using jQuery's animate() method to add smooth page scroll
      // The optional number (800) specifies the number of milliseconds it takes to scroll to the specified area
      $('html, body').animate({
        scrollTop: $(hash).offset().top
      }, 800, function () {
        // Add hash (#) to URL when done scrolling (default click behavior)
        window.location.hash = hash
      })
    }
  })
};


// This code moves the arrow to indicate which chapter we are looking at.
// Give the marker a style of left of the offsetLeft of the event of the indicator
function indicator (e) {
  var marker = document.querySelector('#marker') // select the marker
  marker.style.left = e.offsetLeft + ((e.offsetWidth / 2) - (marker.offsetWidth / 2)) + 'px'
};


// Keep track of which slide-section is active

var currentSlideIndex = 0
showDivs(currentSlideIndex)

function plusDivs (n) {
  showDivs(currentSlideIndex + n)
};

function showDivs (slideIndex) {
  var i
  var sections = $('.slide-sections') // get the sections
  var asides = $('aside') // get the asides
  var buttons = $('.button-name') // get buttons
  var slider = $('.slider') // get slider
  // console.log(buttons)

  if (buttons.length == 0) {

  } else {
    indicator(buttons[slideIndex])
    buttons[currentSlideIndex].classList.remove('active')
    buttons[slideIndex].classList.add('active')
  }

  if (asides.length == 0) {
  } else {
    let mainNavLinks = document.querySelectorAll('aside')[slideIndex].querySelectorAll('ul li') // get a list of all the nav links
    window.addEventListener('scroll', function () {
      mainNavLinks.forEach(function (link) {
        let chapterId = link.getAttribute('linkedidchapter')
        let chapterIdElement = document.getElementById(chapterId)
        if (
          chapterIdElement.getBoundingClientRect().top <= 120 &&
          chapterIdElement.getBoundingClientRect().bottom >= 120
        ) {
          link.classList.add('active')


      //     let boxes = document.getElementsByClassName('nav-principale active');
      //     if(boxes.length > 0){
      //  let contentaside = boxes.nextElementSibling
  
      //  contentaside.classList.toggle('showAside')
      //     }
      //     console.log(boxes); 

          

        } else {
          
          link.classList.remove('active')
          // $('.nav-principale').next().css("height", "0");
          
          }
        
      })
    })
  }

    // let checkaside = document.querySelector('.nav-principale.active')
    // if(checkaside != null){
    //   let contentaside = checkaside.nextElementSibling
  
    //   contentaside.classList.remove('showAside')
    // }

  // const targetElementaside = document.querySelector('.nav-principale');
  // targetElementaside.classList.contains('.active');
  // if(targetElementaside){
  //   targetElementaside.next().css("height", "100%");
  // }

  for (var i = 0; i < sections.length; i++) {
    if (i == slideIndex) {
      sections[i].style.height = '100%'
      slider.css({
        '-webkit-transform': 'translateX(-' + (i * 25) + '%)',
        '-ms-transform': 'translateX(-' + (i * 25) + '%)',
        'transform': 'translateX(-' + (i * 25) + '%)'
      })
    } else {
      sections[i].style.height = '0'
    }
  }
  currentSlideIndex = slideIndex
};



// Function for whenever the window gets resized
var resizeId

$(window).resize(function () {
  clearTimeout(resizeId)
  resizeId = setTimeout(function () {
    showDivs(currentSlideIndex)
    toggleWidth()
    , 1700
    
  })
})


// Intersection observer
const sliders = document.querySelectorAll('.slide-in')

const appearOptions = {
  threshold: 0,
  rootMargin: '0px 0px 0px 0px'
}

const appearOnScroll = new IntersectionObserver(function (
  entries,
  appearOnScroll
) {
  entries.forEach(function (entry) {
    if (!entry.isIntersecting) {
      return
    } else {
      entry.target.classList.add('appear')
      appearOnScroll.unobserve(entry.target)
    }
  })
},
appearOptions)

sliders.forEach(function (slider) {
  appearOnScroll.observe(slider)
})

// Color blindness slider
function initComparisons() {
  var x, i;
  /*find all elements with an "overlay" class:*/
  x = document.getElementsByClassName("img-comp-overlay");
  for (i = 0; i < x.length; i++) {
    /*once for each "overlay" element:
    pass the "overlay" element as a parameter when executing the compareImages function:*/
    compareImages(x[i]);
    //console.log(x)
  }
  function compareImages(img) {
    var slider, img, clicked = 0, w, h;
    /* get the width and height of the img element */
    w = img.offsetWidth;
    //console.log(w)
    h = img.offsetHeight;
    /*set the width of the img element to 50%:*/
    img.style.width = (w / 2) + "px";
    /*create slider:*/
    slider = document.createElement("DIV");
    slider.setAttribute("class", "img-comp-slider");
    /*insert slider*/
    img.parentElement.insertBefore(slider, img);
    /*position the slider in the middle:*/
    slider.style.top = (h / 2) - (slider.offsetHeight / 2) + "px";
    slider.style.left = (w / 2) - (slider.offsetWidth / 2) + "px";
    /*execute a function when the mouse button is pressed:*/
    slider.addEventListener("mousedown", slideReady);
    /*and another function when the mouse button is released:*/
    window.addEventListener("mouseup", slideFinish);
    /*or touched (for touch screens:*/
    slider.addEventListener("touchstart", slideReady);
    /*and released (for touch screens:*/
    window.addEventListener("touchend", slideFinish);
    function slideReady(e) {
      /*prevent any other actions that may occur when moving over the image:*/
      e.preventDefault();
      /*the slider is now clicked and ready to move:*/
      clicked = 1;
      /*execute a function when the slider is moved:*/
      window.addEventListener("mousemove", slideMove);
      window.addEventListener("touchmove", slideMove);
    }
    function slideFinish() {
      /*the slider is no longer clicked:*/
      clicked = 0;
    }
    function slideMove(e) {
      var pos;
      /*if the slider is no longer clicked, exit this function:*/
      if (clicked == 0) return false;
      /*get the cursor's x position:*/
      pos = getCursorPos(e)
      /*prevent the slider from being positioned outside the image:*/
      if (pos < 0) pos = 0;
      if (pos > w) pos = w;
      /*execute a function that will resize the overlay image according to the cursor:*/
      slide(pos);
    }
    function getCursorPos(e) {
      var a, x = 0;
      e = e || window.event;
      /*get the x positions of the image:*/
      a = img.getBoundingClientRect();
      /*calculate the cursor's x coordinate, relative to the image:*/
      x = e.pageX - a.left;
      /*consider any page scrolling:*/
      x = x - window.pageXOffset;
      return x;
    }
    function slide(x) {
      /*resize the image:*/
      img.style.width = x + "px";
      /*position the slider:*/
      slider.style.left = img.offsetWidth - (slider.offsetWidth / 2) + "px";
    }
  }
}



function toggleWidth () {
  let sectionsContainer = $(".sections-container")
  let asides = $("aside")
  if (asides.length < 1) {
    let mainBody = $(".main-body")
    mainBody.addClass("margin-normal")
    return
  }
  if ($(window).width() > 1240 && asides.parents().is(".new")) {
    sectionsContainer.addClass("grid-normal")
    let newWrapper = $('.new')
    console.log(newWrapper)
    newWrapper.addClass("grid-aside")
  } else if ($(window).width() > 1240) {
    sectionsContainer.addClass("grid-normal")
    asides.wrap("<div class='new'></div>")
    let newWrapper = $('.new')
    console.log(newWrapper)
    newWrapper.addClass("grid-aside")
  } else if (asides.parents().is(".new")) {
    sectionsContainer.removeClass("grid-normal")
    asides.unwrap()
  } else {
    sectionsContainer.removeClass("grid-normal")
  }
}
document.addEventListener('DOMContentLoaded', toggleWidth())


function btnshowaside() {
  var element = document.getElementById("aside-menu");

    let boxes = document.getElementsByClassName('sticky desc-aside show-aside');
    if(boxes.length > 0){


        element.classList.remove("show-aside");

    } else {
      element.classList.add("show-aside");
    }

}

lightbox.option({
  'disableScrolling': true,
  'positionFromTop': 150
})
